Bug 949981 (CVE-2013-1935)

Summary: CVE-2013-1935 kernel: kvm: pv_eoi guest updates with interrupts disabled
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abaron, agordeev, anton, aortega, apevec, ayoung, chrisw, dallan, dhoward, fhrbata, gkotton, gleb, kernel-mgr, lwang, markmc, mst, mtosatti, npajkovs, rbryant, rkhan, sclewis, security-response-team, tgraf
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130610,reported=20130407,source=redhat,cvss2=5.7/AV:A/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected,rhel-5/kvm=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-10 17:58:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 906602, 949985    
Bug Blocks: 949982, 970962    

Description Petr Matousek 2013-04-09 08:21:40 EDT
A bug has been found in the way guest pv_eoi updates were handled before entering the guests. Upon synchronizing LAPIC to the guest's VAPIC,  kvm_write_guest_cached() (and thus copy_to_user()) could be called with interrupts disabled.

A local unprivileged user in the guest could potentially use this flaw to crash the host.
Comment 2 Petr Matousek 2013-04-09 08:33:59 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue does not affect the versions of KVM package as shipped with Red Hat Enterprise Linux 5.
Comment 3 Murray McAllister 2013-06-07 03:21:57 EDT
Acknowledgements:

Red Hat would like to thank IBM for reporting this issue.
Comment 4 errata-xmlrpc 2013-06-10 16:49:43 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0907 https://rhn.redhat.com/errata/RHSA-2013-0907.html
Comment 5 errata-xmlrpc 2013-06-10 17:51:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0911 https://rhn.redhat.com/errata/RHSA-2013-0911.html